Gecode::Driver::CombinedStop Class Reference

Stop object based on nodes, failures, and time. More...

`#include <script.hpp>`

## Public Types

enum | { SR_NODE = 1 << 0 , SR_FAIL = 1 << 1 , SR_TIME = 1 << 2 , SR_INT = 1 << 3 }
| Reason why search has been stopped. More...

## Public Member Functions

virtual bool | stop (const Search::Statistics &s, const Search::Options &o)
| Test whether search must be stopped.
int | reason (const Search::Statistics &s, const Search::Options &o)
| Report reason why search has been stopped.
| ~CombinedStop (void)
| Destructor.
| Stop (void)
| Default constructor.
virtual | ~Stop (void)
| Destructor.

## Static Public Member Functions

static Search::Stop * | create (unsigned int node, unsigned int fail, unsigned int time, bool intr)
| Create appropriate stop-object.
static void | interrupt (int)
| Handler for catching Ctrl-C.
static void | installCtrlHandler (bool install, bool force=false)
| Install handler for catching Ctrl-C.
static Stop * | node (unsigned long int l)
| Stop if node limit l has been exceeded.
static Stop * | fail (unsigned long int l)
| Stop if failure limit l has been exceeded.
static Stop * | time (unsigned long int l)
| Stop if time limit l (in milliseconds) has been exceeded.
Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Stop object based on nodes, failures, and time.

Definition at line 50 of file script.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Reason why search has been stopped.

Enumerator
SR_NODE | Node limit reached.
SR_FAIL | Fail limit reached.
SR_TIME | Time limit reached.
SR_INT | Interrupted by user.

Definition at line 66 of file script.hpp.

## Constructor & Destructor Documentation

## ~CombinedStop()

Gecode::Driver::CombinedStop::~CombinedStop | ( | void |  | ) |

inline

Destructor.

Definition at line 126 of file script.hpp.

## Member Function Documentation

## stop()

virtual bool Gecode::Driver::CombinedStop::stop | ( | const Search::Statistics & | s,
|  | const Search::Options & | o )

inline virtual

Test whether search must be stopped.

Implements Gecode::Search::Stop.

Definition at line 73 of file script.hpp.

## reason()

int Gecode::Driver::CombinedStop::reason | ( | const Search::Statistics & | s,
|  | const Search::Options & | o )

inline

Report reason why search has been stopped.

Definition at line 81 of file script.hpp.

## create()

Search::Stop * Gecode::Driver::CombinedStop::create | ( | unsigned int | node,
|  | unsigned int | fail,
|  | unsigned int | time,
|  | bool | intr )

inline static

Create appropriate stop-object.

Definition at line 90 of file script.hpp.

## interrupt()

void Gecode::Driver::CombinedStop::interrupt | ( | int |  | ) |

inline static

Handler for catching Ctrl-C.

Definition at line 110 of file script.hpp.

## installCtrlHandler()

void Gecode::Driver::CombinedStop::installCtrlHandler | ( | bool | install,
|  | bool | force = false )

inline static

Install handler for catching Ctrl-C.

Definition at line 116 of file script.hpp.

The documentation for this class was generated from the following files:

- gecode/driver/script.hpp
- gecode/driver/script.cpp